Reboot proxy command does not work on oVirt image
Description

It just does not reboot :-) As simple as that.

History

#1 - 12/02/2013 03:14 PM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1069

#2 - 12/02/2013 03:14 PM - Lukas Zapletal

- Status changed from Ready For Testing to Assigned

Damn scratch that

#3 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#4 - 12/19/2013 11:34 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman_discovery/pull/45

#5 - 12/20/2013 12:32 PM - Greg Sutcliffe

Works great, apart from a tiny error in the foreman logs:

ForemanDiscovery: Rebooting 5254008fae8f.sapphire.elysium.emeraldreverie.org as its being discovered and assig

ned

Failed to reboot: 500 Internal Server Error

 Nothing seems broken, the host correctly reboots and provisions - I suspect the format of the result of the API call to the proxy on the discovered

node for reboot isn't what Foreman is expecting.

#6 - 01/06/2014 12:54 PM - Lukas Zapletal

Hmmm and do we expect a response? Because now it is systemd driven (maybe faster). I am under impression that the moment the shutdown

command is executed, proxy service can be starting down. Requests that are being processed may be reporting 500 error.

I am doing some tests to confirm this is the behavior of Sinatra/webrick and if so, we would like to put 500 into the list of expected results :-D

#7 - 01/06/2014 02:59 PM - Lukas Zapletal

Ok the error is: Permission denied - /dev/tty1

In lib/proxy/log.rb on this line
@@logger = Logger.new(SETTINGS.log_file, 6, 1024*1024*10)

 It's because I configured proxy log to /dev/tty1.

The fix is to either chmod 777 /dev/tty1 or to put "foreman" into tty group

[root@localhost ~]# ll /dev/tty1*

crw--w---- 1 root tty 4,  1 Jan  6 14:51 /dev/tty1

#8 - 01/09/2014 02:10 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#9 - 01/09/2014 02:38 PM - Lukas Zapletal

- Status changed from Ready For Testing to Resolved
